class ExtensionHelper {
	constructor()
	{
		this.isModuleEnabled = 0;
		this.mainDomain = 'otmechalka.com';
		this.subdomain = '';
		this.clientPhone = '';

		this.getBaseVisitorProfileLink = function()
		{
			return this.getFullOrgUrl() + '/visitor/add';
		};

		this.getBaseLeadProfileLink = function()
		{
			return this.getFullOrgUrl() + '/lead/addedit';
		};

		this.setSubdomain = function(subdomain)
		{
			this.subdomain = subdomain;
		};

		this.enabledHtml = function()
		{
			$('.js-otm-client-enabled').show();
			// $('.js-otm-client-info').show();
			$('.js-otm-client-not-enabled').hide();
		};

		this.notEnabledHtml = function()
		{
			$('.js-otm-client-enabled').hide();
			$('.js-otm-client-not-found').hide();
			$('.js-otm-client-not-enabled').show();
		};

		this.loaderShow = function()
		{
			$('.js-loader').css('display', 'flex');
		};

		this.clientInfoHide = function()
		{
			$('.js-otm-client-info').hide();
		};

		this.clientInfoShow = function()
		{
			$('.js-otm-client-info').show();
		};

		this.clientNotFoundHide = function()
		{
			$('.js-otm-client-not-found').hide();
			$('.js-add-client-btn').hide();
		};

		this.clientNotFoundShow = function()
		{
			$('.js-otm-client-not-found').show();
			$('.js-add-client-btn').show();
		};

		this.loaderHide = function()
		{
			$('.js-loader').hide();
		};

		this.sToTime = function(time)
		{
			var	hours = Math.floor(time / 3600);
			var	minutes = Math.floor(time % 3600 / 60);

			hours = (hours < 10) ? "0" + hours : hours;
			minutes = (minutes < 10) ? "0" + minutes : minutes;

			return hours + ":" + minutes;
		};

		this.sToDate = function(time)
		{
			var t = new Date(1970, 0, 1);
			t.setSeconds(time);
			var day = t.getDate();
			var month = t.getMonth() + 1;
			var year = t.getFullYear();
			return (day < 10 ? '0' + day : day) + '.' + (month < 10 ? '0' + month : month) + '.' + year;
		};

		this.dayOfTheWeekFormat = function(dayIndex)
		{
			switch (dayIndex)
			{
				case 1:
					return 'Пн.';
				case 2:
					return 'Вт.';
				case 3:
					return 'Ср.';
				case 4:
					return 'Чт.';
				case 5:
					return 'Пт.';
				case 6:
					return 'Сб.';
				case 7:
					return 'Вс.';
			}
		};

		this.getFullOrgUrl = function()
		{
			return 'https://' + this.subdomain + '.' + this.mainDomain;
		};

		this.getBaseUrl = function()
		{
			return 'https://' + this.mainDomain;
		};

		this.generateAddUserBtnLink = function()
		{
			var visitorBtn = $('.js-add-visitor');
			var leadBtn = $('.js-add-lead');

			var newVisitorLink = this.getBaseVisitorProfileLink() + '?fromPhone=' + this.clientPhone;
			var newLeadLink = this.getBaseLeadProfileLink() + '?fromPhone=' + this.clientPhone;

			visitorBtn.attr('href', newVisitorLink);
			leadBtn.attr('href', newLeadLink);
		};

		this.resetAddUserBtnLink = function()
		{
			$('.js-add-visitor').attr('href', this.getBaseVisitorProfileLink());
			$('.js-add-lead').attr('href', this.getBaseLeadProfileLink());
		};

		/*
			this.debounce = function(func, interval) {
				var timeout;
				return function () {
					var context = this, args = arguments;
					var later = function () {
						timeout = null;
						func.apply(context, args);
					};
					clearTimeout(timeout);
					timeout = setTimeout(later, interval || 200);
				}
			};
		*/

		this.validatePhone = function(phone)
		{
			phone = phone.replace(/\D/g, '');
			return /^\d{10,17}$/.test(phone) ? phone : null;
		};
	};
}
