function OptionsManager()
{
	var that = this;
	this.extensionOptions =
		{
			organizationDirectAccessSecretKey: ''
		};

	this._isRead = false;
	this.read = function(callBack)
	{
		chrome.storage.local.get(
			this.extensionOptions,
			function(items) {
				that._setOptions(items);
				that._isRead = true;
				if(typeof callBack === 'function')
				{
					callBack(items);
				}
			});
	};
	this._setOptions = function(options)
	{
		this.extensionOptions = options;
	};

	this.save = function(callBack)
	{
		if(!this._isRead)
		{
			console.log('You need to read options before save');
			return;
		}
		chrome.storage.local.set(
			this.extensionOptions,
			function() {
				if(typeof callBack === 'function')
				{
					callBack();
				}
			});
	};

}
