var popupManager = new PopupManager();

function saveOptions() {
	var statusEL = $('#extStatus');
	var status = statusEL.attr('data-status');
	var btnText = (status == popupManager.statusOff ? popupManager.statusOnText : popupManager.statusOffText);
	status = (status == popupManager.statusOff ? popupManager.statusOn : popupManager.statusOff);
	popupManager.extensionOptions.extStatus = status;
	popupManager.save(function() {
		if(status != '')
		{
			statusEL.attr('data-status', status);
			statusEL.html(btnText);
		}
		chrome.tabs.query({active: true, currentWindow: true}, function (arrayOfTabs) {
			var code = 'window.location.reload();';
			chrome.tabs.executeScript(arrayOfTabs[0].id, {code: code});
		});
	});
}

function restoreOptions() {
	var statusEL = $('#extStatus');
	popupManager.read(
		function(items) {
			if(items.extStatus != '')
			{
				statusEL.attr('data-status', items.extStatus);
				statusEL.html(items.extStatus == popupManager.statusOn ? popupManager.statusOnText : popupManager.statusOffText);
			}
		}
	);
}

document.addEventListener('DOMContentLoaded', restoreOptions);
document.getElementById('extStatus').addEventListener('click',
	saveOptions);

$('#options').on('click', function(){
	if (chrome.runtime.openOptionsPage) {
		chrome.runtime.openOptionsPage();
	} else {
		window.open(chrome.runtime.getURL('options.html'));
	}
});